EDIT - bug #6787

NPE when opening Specimen Tree Editor
07/07/2017 07:58 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.9

Severity: blocker Found in Version:
Description

login admin

editor version : 4.9.0.201707071212

server test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 4.7.0.0.201710040000

os : Windows Server 2012 R2 6.3 amd64
org.eclipse.ed.core.di.InjectionException: java.lang.NullPointerException
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
ed.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)
ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:13

ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. j

core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:

ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl.

ed .ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContri

Java:433)
ed.uil.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (Ab

stractContributionItem. java:454)
at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractCo
ntributionItem. java:482)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)
ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java

core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l

ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
ui.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

org.eclipse.core.runtime.internal.adaptor.EclipseAppLlLauncher.runApplication (EclipseAppLaunc

her.java:134)
core.runtime.internal.adaptor.EclipseAppLlLauncher.start (EclipseAppLauncher. java:

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.updateRootEntities (DerivateView. ja
va:266)

at eu.etaxonomy.taxeditor.editor.view.derivate.DerivateView.init (DerivateView. java:173)

at eu.etaxonomy.taxeditor.editor.handler.OpenDerivateViewHandler.execute (OpenDerivateViewHandl
er.java:22)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy.java:295)

at org.eclipse.ui.internal.handlers.E4HandlerProxy.execute (E4HandlerProxy.java:90)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)
Associated revisions

Revision 8e0843b5 - 07/26/2017 12:19 PM - Patrick Plitzner

Fix potential NPE when no session is active when opening specimen editor

History

#1 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#2 - 07/26/2017 12:28 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 0 to 50

fixed with taxeditor 4 f840b1 15a7edfba281

#3 - 09/14/2017 11:22 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner
- Target version changed from Release 4.10 to Release 4.9
- % Done changed from 50 to 100
As far as | can see this was fixed with 4.9.1 so | changed the target version.
| can't reproduce it anymore and also we got no negative user feedback so | guess we can close the ticket.
Please double check the target version and close if appropriate.
#4 - 09/15/2017 08:32 AM - Patrick Plitzner
- Status changed from Feedback to Closed
Andreas Miller wrote:
As far as | can see this was fixed with 4.9.1 so | changed the target version.
| can't reproduce it anymore and also we got no negative user feedback so | guess we can close the ticket.
Please double check the target version and close if appropriate.

It was fixed in 4.9.
Closing ticket
